package net.hoopajoo.cheeselab3;
import java.net.*;
import java.nio.channels.*;

public class PlayerServer extends Thread {
	public void run() {
		ServerSocketChannel server = null;

		try {
			server = ServerSocketChannel.open();
			server.socket().bind( new InetSocketAddress( Integer.parseInt( CheeseProxy.props.getProperty( "player_port" ) ) ) );
			CheeseLab.dmesg( 1, "Accepting connections for players" );
		}catch( Exception e  ) {
			return;
		}
		
		while( true ) {
			try {
				PlayerThread  pt = new PlayerThread( server.accept() );
				pt.start();
			}catch( Exception e ) {
				e.printStackTrace();
				System.exit( 1 );
			}
		}	
	}

}
